% Preamble
% ---
\documentclass{article}

% Packages
% ---
\usepackage[utf8]{inputenc}
\usepackage{graphicx}
\usepackage{Libraries/tikz-uml}
\usepackage{listings}
\usepackage{hyperref}
\usepackage{caption}    % adds captions to graphics
\usepackage{float}      % package to "force print" graphic at exact text position
\usepackage{wrapfig}    % makes text wrap around graphics
\usepackage{titlesec}   % to add X.X.X.Y the 4th deep chapter numbering Y

% Settings
% ---
\setlength{\parskip}{1em}
\lstset{language=[ISO]C++,
                breaklines=true,
                basicstyle=\ttfamily,
                keywordstyle=\color{blue}\ttfamily,
                stringstyle=\color{red}\ttfamily,
                commentstyle=\color{green}\ttfamily,
                morecomment=[l][\color{magenta}]{\#}
}
\setlength\parindent{0pt}
\graphicspath{ {./Resources/} }

% Settings for titlesec
% ---
\setcounter{secnumdepth}{4}
\titleformat{\paragraph}
{\normalfont\normalsize\bfseries}{\theparagraph}{1em}{}
\titlespacing*{\paragraph}
{0pt}{3.25ex plus 1ex minus .2ex}{1.5ex plus .2ex}

% Information
% ---
\title {
    \includegraphics[width=4cm]{Resources/icon_dyos} \\
    \bf DyOS GUI \\
    \small Software Engineering Internship
}
\author{Anas Hamrouni, Florian Berthold, Paul Orschau, Steffen Thevis}
\date{November 2019}

% Main document
% ---
\begin{document}

% Title page
\maketitle

\newpage

% Table of contents
\tableofcontents

\newpage

% Sections
\include{Introduction}

\include{Analysis}

\include{Design}

\include{UserDoc}

\include{DevDoc/DevDoc}

\end{document}
% ---
% End of documents
